Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364600 - satellite reinstall after katello-remove causes scriptlet failure in rpm package foreman-selinux
Summary: satellite reinstall after katello-remove causes scriptlet failure in rpm pack...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 21:31 UTC by sthirugn@redhat.com
Modified: 2019-04-01 20:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:01:57 UTC


Attachments (Terms of Use)
katello_remove and yum install satellite (deleted)
2017-10-02 18:03 UTC, Kedar Bidarkar
no flags Details

Description sthirugn@redhat.com 2016-08-05 21:31:14 UTC
Description of problem:
scriptlet failure in rpm package foreman-selinux

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1) yum -y install katello
2) katello-installer
3) cd /mnt/backup1
4) katello-backup .
5) cd ~
6) katello-remove
7) yum -y install satellite
....
....
 tomcat-el-2.2-api                                      noarch        7.0.54-2.el7_1              rhel-7-server-rpms               76 k
 tomcat-jsp-2.2-api                                     noarch        7.0.54-2.el7_1              rhel-7-server-rpms               90 k
 tomcat-lib                                             noarch        7.0.54-2.el7_1              rhel-7-server-rpms              3.7 M
 tomcat-servlet-3.0-api                                 noarch        7.0.54-2.el7_1              rhel-7-server-rpms              207 k

Transaction Summary
========================================================================================================================================
Install  1 Package (+302 Dependent packages)

Total download size: 158 M
Installed size: 569 M
libsemanage.semanage_port_validate_local: port overlap between ranges 9091 - 14999 (tcp) <--> 9200 - 9300 (tcp). (No such file or directory).
ValueError: Could not commit semanage transaction
warning: %post(foreman-selinux-1.11.0.2-1.el7sat.noarch) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package foreman-selinux-1.11.0.2-1.el7sat.noarch
....
....

Actual results:
scriptlet failure error as shown above.

Expected results:
No error or warning

Additional info:

Comment 1 sthirugn@redhat.com 2016-08-05 21:37:17 UTC
Version tested: satellite-6.2.0-21.2.el7sat.noarch

Comment 2 Chris Roberts 2016-08-09 14:33:21 UTC
Not seeing this with the latest snap:

http://pastebin.test.redhat.com/400694

Moving to post

Comment 3 Brad Buckingham 2016-08-09 17:38:09 UTC
Hi Suresh, can you retest based on comment 2?  Thanks!

Comment 6 sthirugn@redhat.com 2016-08-10 16:22:45 UTC
@Brad @Chris, I tried this again today and it failed.  I have a box if you want to take a look?

Comment 7 Chris Roberts 2016-08-10 17:43:00 UTC
Sthirugn,

Can you email me the info for the box so i can look and try

Comment 8 sthirugn@redhat.com 2016-08-11 20:23:28 UTC
Failed again in Snap 6.2.1 1.2.  Sent the box info to @Chris Roberts.

Comment 9 sthirugn@redhat.com 2016-08-11 20:47:05 UTC
Removing Target Milestone - not a blocker for 6.2.1

Comment 14 Kedar Bidarkar 2017-10-02 18:01:10 UTC
This seems to work without any issue with Satellite6.3.0

VERIFIED With Satellite6.3.0-snap18.0

Comment 15 Kedar Bidarkar 2017-10-02 18:03:17 UTC
Created attachment 1333364 [details]
katello_remove and yum install satellite

Comment 16 Bryan Kearney 2018-02-21 17:01:57 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.